#ifndef VOLUMEOBJECT_H__
#define VOLUMEOBJECT_H__

enum
{
    VOLUMEOBJECT_SIZE = 10000,
    VOLUMEOBJECT_VOXEL_SIZE,

    VOLUMEOBJECT_TEXTURE_LNK,
    VOLUMEOBJECT_VDB_FILE,
    VOLUMEOBJECT_ABSORPTION,
    VOLUMEOBJECT_SCATTERING,
    VOLUMEOBJECT_EMISSION,
    VOLUMEOBJECT_VOL_SCALE,
    VOLOBJ_DISP_TYPE,
    VOLOBJ_DISP_RATE,
    VOLOBJ_EDGE_FEATHER,
    VOLUMEOBJECT_VDB_UNIT,
    VOLUMEOBJECT_VDB_OFFSET,
    VOLUMEOBJECT_VDB_START,
    VOLUMEOBJECT_VDB_END,
    VOLUMEOBJECT_VDB_DIGITS,
    VOLUMEOBJECT_PHASE,

    VOLOBJ_ABSORPTION_MAP,
    VOLOBJ_SCATTER_MAP,
    VOLOBJ_EMISSION_MAP,

    VOLOBJ_VDB_ABSORPTION_IMP_SCALE,
    VOLOBJ_VDB_SCATTER_IMP_SCALE,
    VOLOBJ_VDB_EMISSION_IMP_SCALE,
    VOLUMEOBJECT_VDB_FILE0,

    VOLOBJ_DISP_TYPE_NONE=0,
    VOLOBJ_DISP_TYPE_LINE=1,
    VOLOBJ_DISP_TYPE_CIRCLE=2,
    VOLOBJ_DISP_TYPE_BOX=3,
    VOLOBJ_DISP_TYPE_OBJECT=4,

    VOLUMEOBJECT_VDB_GROUP,
    VOLUMEOBJECT_MEDIUM_GROUP,
    VOLOBJ_GRIDMAPPING_GRP,
    VOLUMEOBJECT_BUTTONGRP,
    VOLUMEOBJECT_VDB_INFOTEXT,

    VOLOBJ_PRESET_DEFAULT_BTN,
    VOLOBJ_PRESET_CLOUD1_BTN,
    VOLOBJ_PRESET_RND_CLOUD_BTN,

    VOLUMEOBJECT_MEDIUM_FOG_BTN,
    VOLUMEOBJECT_MEDIUM_CLOUDS_BTN,
    VOLUMEOBJECT_MEDIUM_FIRE1_BTN,


    VOLOBJ_VDB_UNIT_MM=1,
    VOLOBJ_VDB_UNIT_CM=2,
    VOLOBJ_VDB_UNIT_DECI=3,
    VOLOBJ_VDB_UNIT_METER=4,
    VOLOBJ_VDB_UNIT_DECA=5,
    VOLOBJ_VDB_UNIT_HECTA=6,
    VOLOBJ_VDB_UNIT_KM=7,
    VOLOBJ_VDB_UNIT_INCH=8,
    VOLOBJ_VDB_UNIT_FEET=9,
    VOLOBJ_VDB_UNIT_YARDS=10,
    VOLOBJ_VDB_UNIT_FURLONGS=11,
    VOLOBJ_VDB_UNIT_MILES=12,

    VOLOBJ_MAP_DENSITY=1,
    VOLOBJ_MAP_TEMPERATURE=2,
};

#endif // VOLUMEOBJECT_H__
