#ifndef _OctaneObjectTag_h_
#define _OctaneObjectTag_h_

enum
{
    OBJECTTAG_ENABLE=1280,
    OBJECTTAG_MESHNO,
    OBJECTTAG_VISIBILITY,
    OBJECTTAG_CAM_VISIBILITY,
    OBJECTTAG_SHADOW_VISIBILITY,
    OBJECTTAG_OBJECT_MOBLUR,
    OBJECTTAG_VERTEX_MOBLUR,
    OBJECTTAG_OBJECTID,
    OBJECTTAG_LAYERID,
    OBJECTTAG_RANDOMSEED,
    OBJECTTAG_XXXXX,

    OBJECTTAG_SUBDIV_LEVEL,
    OBJECTTAG_SUBDIV_SHARPNESS,
    OBJECTTAG_PLUGIN_VERSION,

    OBJECTTAG_USE_GUID,

    OBJTAG_PARTICLE_ENABLE,
    OBJTAG_PARTICLE_ABSORPTION,
    OBJTAG_PARTICLE_SCATTERING,
    OBJTAG_PARTICLE_EMISSION,
    OBJTAG_PARTICLE_SCALE,
    OBJTAG_PARTICLE_VOXEL_SIZE,

    OBJTAG_PARTICLE_SIZE_MULTIPLIER,
    OBJTAG_PARTICLE_CUSTOM_OBJECT,

    OBJECTTAG_RENDER_AS_HAIR,
    OBJECTTAG_MAKE_HAIR_ROOTUV,
    OBJECTTAG_HAIR_ROOTTHICK,
    OBJECTTAG_HAIR_TIPTHICK,

    OBJECTTAG_FORCE_UPDATES,
    OBJTAG_PARTICLE_USE_3RD_SHADERS,
    OBJTAG_PARTICLE_PHASE,
    OBJECTTAG_BAKEID,
    OBJTAG_MEDIUM_ABSR_SCAT_CHNL,
    OBJTAG_MEDIUM_EMISSION_CHNL,

    //--------------------------
    OBJECTTAG_HELPBUTTON,
    OBJECTTAG_MOT_GROUP,
    OBJECTTAG_VIS_GROUP,
    OBJECTTAG_LAYER_GROUP,
    OBJECTTAG_PARTICLE_GROUP,
    OBJECTTAG_PARTICLE_SUBGROUP,
    OBJECTTAG_MEDIUM_GROUP,
    OBJECTTAG_SUBDIV_GROUP,
    OBJECTTAG_HAIR_GROUP,
    OBJECTTAG_MAIN_GROUP,

    OBJECTTAG_MBLUR_NONE=0,
    OBJECTTAG_MBLUR_TRANSFORM=1,
    OBJECTTAG_MBLUR_FULL=2,

    OBJTAG_PARTICLE_NONE=0,
    OBJTAG_PARTICLE_SPHERE=1,
    OBJTAG_PARTICLE_VOXEL=2,

    OBJTAG_FORCE_NONE=0,
    OBJTAG_FORCE_PV_UPDATES=1,
    OBJTAG_FORCE_PV_LV_UPDATES=2,

    OBJTAG_CHANNEL_DENSITY=0,
    OBJTAG_CHANNEL_TEMPERATURE=1,
    OBJTAG_CHANNEL_FUEL=2,
    OBJTAG_CHANNEL_BURN=3

};

#endif
